complexType "ClearingStatusItem"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 4 elements
Defined: | globally in fpml-confirmation-processes-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | tradeIdentifier+, clearingStatusValue, reason*, statusAppliesTo[0..2]
</...>

Content Model Elements (4):

  clearingStatusValue, reason (in clearingStatusItem), | statusAppliesTo, tradeIdentifier (in clearingStatusItem)

All Direct / Indirect Based Elements (1):

  clearingStatusItem

Known Usage Locations

- As direct type of elements (1):
  clearingStatusItem

XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="ClearingStatusItem"> <xsd:sequence> <xsd:element maxOccurs="unbounded" name="tradeIdentifier" type="TradeIdentifier"/> <xsd:element name="clearingStatusValue" type="ClearingStatusValue"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="reason" type="Reason"/> <xsd:element maxOccurs="2" minOccurs="0" name="statusAppliesTo" type="PartyReference"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/4)
clearingStatusValue

  Type: | ClearingStatusValue, simple content

  The status of the clearing process for the identified trade.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="clearingStatusValue" type="ClearingStatusValue"/>

reason

  Type: | Reason, complex content

  Supporting information which may be produced to explain the clearing process status. This may be a business reason e.g. failed eligibility criteria.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="reason" type="Reason"/>

statusAppliesTo

  Type: | PartyReference, empty content

  Reference to parties currently in this status, e.g. parties for which we are awaiting approval.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="2" minOccurs="0" name="statusAppliesTo" type="PartyReference"/>

tradeIdentifier

  Type: | TradeIdentifier, complex content

  Identifier(s) for the trade which is the subject of the clearing request to which this status relates.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="tradeIdentifier" type="TradeIdentifier"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.